Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 686)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 687)
@@ -31,8 +31,6 @@
 import java.util.Collections;
 import java.util.List;
 
-import org.eclipse.core.runtime.IProgressMonitor;
-import org.eclipse.jface.action.MenuManager;
 import org.eclipse.jface.viewers.TableViewer;
 import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
@@ -50,18 +48,18 @@
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Display;
-import org.eclipse.swt.widgets.Menu;
 import org.eclipse.swt.widgets.TableColumn;
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.editors.TXMEditor;
 import org.txm.rcp.editors.TXMResultEditorInput;
 import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.swt.widget.NavigationWidget;
 import org.txm.rcp.swt.widget.PropertiesSelector;
@@ -71,6 +69,7 @@
 import org.txm.referencer.core.functions.Referencer;
 import org.txm.referencer.core.functions.Referencer.Line;
 import org.txm.referencer.rcp.handlers.ReferencerToConc;
+import org.txm.referencer.rcp.messages.ReferencerUIMessages;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -185,7 +184,7 @@
 							//setPartName(referencer.getName()); //$NON-NLS-1$
 							
 							viewer.getTable().setFocus();
-							System.out.println(NLS.bind(RCPMessages.CreatePartition_5, referencer.getNLines(), referencer.getV()));
+							System.out.println(NLS.bind(TXMUIMessages.CreatePartition_5, referencer.getNLines(), referencer.getV()));
 //						}
 //					});
 //
@@ -251,7 +250,7 @@
 		
 		// [Search]
 		Button go = new Button(paramArea, SWT.PUSH);
-		go.setText(RCPMessages.SEARCH);
+		go.setText(TXMUIMessages.SEARCH);
 		go.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
 				false, false));
 		Font f = go.getFont();
@@ -276,7 +275,7 @@
 		patternArea = new PropertiesSelector<StructuralUnitProperty>(paramArea, SWT.NONE);
 		patternArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,3,1));
 		patternArea.setLayout(new GridLayout(3, false));
-		patternArea.setText(RCPMessages.ReferencerEditor_6);
+		patternArea.setText(ReferencerUIMessages.ReferencerEditor_6);
 		patternArea.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -299,7 +298,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(RCPMessages.ReferencerEditor_17);
+				StatusLine.setMessage(ReferencerUIMessages.ReferencerEditor_17);
 				fillDisplayArea(0, lineperpage);
 				viewer.getTable().select(0);
 				viewer.getTable().showSelection();
@@ -313,7 +312,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(RCPMessages.ReferencerEditor_19);
+				StatusLine.setMessage(ReferencerUIMessages.ReferencerEditor_19);
 				fillDisplayArea(referencer.getNLines()
 						- lineperpage, referencer.getNLines());
 				viewer.getTable().select(0);
@@ -328,7 +327,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(RCPMessages.ReferencerEditor_21);
+				StatusLine.setMessage(ReferencerUIMessages.ReferencerEditor_21);
 				fillDisplayArea(topLine + lineperpage,
 						bottomLine + lineperpage);
 				viewer.getTable().select(0);
@@ -343,7 +342,7 @@
 
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(RCPMessages.ReferencerEditor_23);
+				StatusLine.setMessage(ReferencerUIMessages.ReferencerEditor_23);
 				fillDisplayArea(topLine - lineperpage,
 						bottomLine - lineperpage);
 				viewer.getTable().select(0);
@@ -384,7 +383,7 @@
 						.getSelection(), e.y);
 				int col = getPointedColumn(mouseposition);
 				if (col == 1) {
-					StatusLine.setMessage(RCPMessages.ReferencerEditor_25);
+					StatusLine.setMessage(ReferencerUIMessages.ReferencerEditor_25);
 					sendSelectionToConc();
 				} else if (col == 2) {
 					//System.out.println("Send to edition ?"); //$NON-NLS-1$
@@ -397,8 +396,8 @@
 		nColumn.pack();
 
 		unitColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
-		unitColumn.setText(RCPMessages.ReferencerEditor_9);
-		unitColumn.setToolTipText(RCPMessages.ReferencerEditor_9);
+		unitColumn.setText(TXMCoreMessages.common_units);
+		unitColumn.setToolTipText(TXMCoreMessages.common_units);
 		unitColumn.setWidth(200);
 		unitColumn.addSelectionListener(new SelectionListener() {
 			@Override
@@ -412,8 +411,8 @@
 		});
 
 		freqColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
-		freqColumn.setText(RCPMessages.ReferencerEditor_11);
-		freqColumn.setToolTipText(RCPMessages.ReferencerEditor_11);
+		freqColumn.setText(ReferencerUIMessages.ReferencerEditor_11);
+		freqColumn.setToolTipText(ReferencerUIMessages.ReferencerEditor_11);
 		freqColumn.setWidth(100);
 		freqColumn.addSelectionListener(new SelectionListener() {
 			@Override
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ReferencerToConc.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ReferencerToConc.java	(revision 686)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ReferencerToConc.java	(revision 687)
@@ -40,8 +40,8 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.referencer.core.functions.Referencer;
 import org.txm.referencer.core.functions.Referencer.Line;
 import org.txm.referencer.rcp.editors.ReferencerEditor;
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java	(revision 686)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java	(revision 687)
@@ -28,9 +28,9 @@
 package org.txm.referencer.rcp.preferences;
 
 import org.eclipse.jface.preference.BooleanFieldEditor;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.rcp.preferences.RCPPreferencesPage;
+import org.txm.referencer.rcp.messages.ReferencerUIMessages;
 
 /**
  * This class represents a preference page that is contributed to the
@@ -53,7 +53,7 @@
 	 */
 	public ReferencerPreferencePage() {
 		super();
-		setTitle(RCPMessages.ReferencerPreferencePage_2);
+		setTitle(ReferencerUIMessages.ReferencerPreferencePage_2);
 	}
 
 	/**
@@ -64,8 +64,7 @@
 	@Override
 	public void createFieldEditors() {
 
-		referencer_sorttype = new BooleanFieldEditor(RCPPreferences.SORTBYFREQ,
-				RCPMessages.ReferencerPreferencePage_3, getFieldEditorParent());
+		referencer_sorttype = new BooleanFieldEditor(RCPPreferences.SORTBYFREQ, ReferencerUIMessages.ReferencerPreferencePage_3, getFieldEditorParent());
 		
 		addField(referencer_sorttype);
 
Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/messages/ReferencerUIMessages.java	(revision 687)
@@ -0,0 +1,37 @@
+
+package org.txm.referencer.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+public class ReferencerUIMessages extends NLS {
+	
+	private static final String BUNDLE_NAME = "org.txm.referencer.rcp.messages.messages"; //$NON-NLS-1$
+
+
+	public static String ReferencerEditor_0;
+	public static String ReferencerEditor_10;
+	public static String ReferencerEditor_11;
+	public static String ReferencerEditor_12;
+	public static String ReferencerEditor_13;
+	public static String ReferencerEditor_17;
+	public static String ReferencerEditor_19;
+	public static String ReferencerEditor_21;
+	public static String ReferencerEditor_23;
+	public static String ReferencerEditor_25;
+	public static String ReferencerEditor_5;
+	public static String ReferencerEditor_6;
+	public static String ReferencerEditor_7;
+	public static String ReferencerEditor_8;
+	public static String ReferencerPreferencePage_2;
+	public static String ReferencerPreferencePage_3;
+
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, ReferencerUIMessages.class);
+	}
+
+	private ReferencerUIMessages() {
+	}
+}

Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 0)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/messages/CQPSearchEngineCoreMessages.java	(revision 687)
@@ -0,0 +1,58 @@
+package org.txm.searchengine.cqp.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+
+/**
+ * CQP Search engine core messages.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ *
+ */
+public class CQPSearchEngineCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.searchengine.cqp.core.messages.messages"; //$NON-NLS-1$
+
+	
+	public static String Diagnostic_0;
+	public static String Diagnostic_1;
+	public static String Diagnostic_10;
+	public static String Diagnostic_11;
+	public static String Diagnostic_12;
+	public static String Diagnostic_13;
+	public static String Diagnostic_14;
+	public static String Diagnostic_15;
+	public static String Diagnostic_16;
+	public static String Diagnostic_17;
+	public static String Diagnostic_18;
+	public static String Diagnostic_19;
+	public static String Diagnostic_2;
+	public static String Diagnostic_20;
+	public static String Diagnostic_22;
+	public static String Diagnostic_23;
+	public static String Diagnostic_26;
+	public static String Diagnostic_3;
+	public static String Diagnostic_4;
+	public static String Diagnostic_40;
+	public static String Diagnostic_41;
+	public static String Diagnostic_43;
+	public static String Diagnostic_49;
+	public static String Diagnostic_5;
+	public static String Diagnostic_6;
+	public static String Diagnostic_7;
+	public static String Diagnostic_8;
+	public static String Diagnostic_9;
+
+	
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, CQPSearchEngineCoreMessages.class);
+	}
+
+	private CQPSearchEngineCoreMessages() {
+	}
+	
+}

Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/information/Information.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/information/Information.java	(revision 686)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/information/Information.java	(revision 687)
@@ -52,6 +52,7 @@
 import org.txm.searchengine.cqp.AbstractCqiClient;
 import org.txm.searchengine.cqp.CQPPreferences;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.core.messages.CQPSearchEngineCoreMessages;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -177,7 +178,7 @@
 			properties = corpus.getProperties();
 			NProperties = properties.size();
 		} catch (CqiClientException e) {
-			Log.severe(TXMCoreMessages.Diagnostic_1 + corpus.getName() + TXMCoreMessages.Diagnostic_4);
+			Log.severe(CQPSearchEngineCoreMessages.Diagnostic_1 + corpus.getName() + CQPSearchEngineCoreMessages.Diagnostic_4);
 			Log.printStackTrace(e);
 			return;
 		}
@@ -185,7 +186,7 @@
 		try {
 			T = corpus.getSize();// corpus.getLexicon(corpus.getProperty("id")).nbrOfToken();
 		} catch (CqiClientException e) {
-			Log.severe(TXMCoreMessages.Diagnostic_6 + corpus.getName() + TXMCoreMessages.Diagnostic_8);
+			Log.severe(CQPSearchEngineCoreMessages.Diagnostic_6 + corpus.getName() + CQPSearchEngineCoreMessages.Diagnostic_8);
 			Log.printStackTrace(e);
 			return;
 		} 
@@ -227,7 +228,7 @@
 		try {
 			structures = corpus.getOrderedStructuralUnits();
 		} catch (CqiClientException e) {
-			Log.severe(TXMCoreMessages.Diagnostic_1 + corpus.getName() + TXMCoreMessages.Diagnostic_11);
+			Log.severe(CQPSearchEngineCoreMessages.Diagnostic_1 + corpus.getName() + CQPSearchEngineCoreMessages.Diagnostic_11);
 			Log.printStackTrace(e);
 			return;
 		}
@@ -246,7 +247,7 @@
 						internalArchitecturePropertiesCounts.get(su.getName()).put(sup.getName(), allvalues.size());
 					} catch (Exception e) {
 						ArrayList<String> list = new ArrayList<String>(1);
-						list.add(TXMCoreMessages.Diagnostic_2);
+						list.add(CQPSearchEngineCoreMessages.Diagnostic_2);
 						internalArchitectureProperties.get(su.getName()).put(sup.getName(), list);
 						internalArchitecturePropertiesCounts.get(su.getName()).put(sup.getName(), -1);
 					}
@@ -265,7 +266,7 @@
 //		corpus = partition.getCorpus();
 //		this.partition = partition;
 //		int T = corpus.getSize();
-//		System.out.println(TXMCoreMessages.Diagnostic_12);
+//		System.out.println(CQPSearchEngineCoreMessages.Diagnostic_12);
 //		int nbParts = partition.getNPart();
 //		List<String> partNames = partition.getPartNames();
 //		List<Integer> partSizes = new ArrayList<Integer>();
@@ -292,26 +293,26 @@
 				"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"/>" + //$NON-NLS-1$
 				"</head>" + //$NON-NLS-1$
 				"<body>\n"); //$NON-NLS-1$
-		buff.append("<h2 style'font-family:\"Arial\";'>"+TXMCoreMessages.Diagnostic_3 + this.corpus.getName() + "</h2>\n"); //$NON-NLS-2$ //$NON-NLS-1$
+		buff.append("<h2 style'font-family:\"Arial\";'>"+CQPSearchEngineCoreMessages.Diagnostic_3 + this.corpus.getName() + "</h2>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		
 		if (corpus.getDescription() != null && corpus.getDescription().length() > 0) {
 			buff.append("<p>"+corpus.getDescription()+"</p>"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		
-		buff.append("<h3 style'font-family:\"Arial\";'>"+TXMCoreMessages.Diagnostic_5+ "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
+		buff.append("<h3 style'font-family:\"Arial\";'>"+CQPSearchEngineCoreMessages.Diagnostic_5+ "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
 
 		
 		
 		// counts
 		buff.append("<ul>\n"); //$NON-NLS-1$
-		buff.append("<li>" + TXMCoreMessages.Diagnostic_7 + T + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
+		buff.append("<li>" + CQPSearchEngineCoreMessages.Diagnostic_7 + T + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
 		buff
-		.append("<li>" + TXMCoreMessages.Diagnostic_9 + (NProperties - 1) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
-		buff.append("<li>" + TXMCoreMessages.Diagnostic_16 + NStructures + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
+		.append("<li>" + CQPSearchEngineCoreMessages.Diagnostic_9 + (NProperties - 1) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
+		buff.append("<li>" + CQPSearchEngineCoreMessages.Diagnostic_16 + NStructures + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-1$
 		buff.append("</ul>\n"); //$NON-NLS-1$
 
 		// Propriétés d'occurrences
-		buff.append("<h3 style'font-family:\"Arial\";'>"+NLS.bind(TXMCoreMessages.Diagnostic_14, maxPropertiesToDisplay) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
+		buff.append("<h3 style'font-family:\"Arial\";'>"+NLS.bind(CQPSearchEngineCoreMessages.Diagnostic_14, maxPropertiesToDisplay) + "</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
 		ArrayList<String> properties = new ArrayList<String>(propertiesValues.keySet());
 		Collections.sort(properties);
 		buff.append("<ul>\n"); //$NON-NLS-1$
@@ -329,7 +330,7 @@
 		buff.append("</ul>\n"); //$NON-NLS-1$
 
 		// Propriété de structures
-		buff.append("<h3 style'font-family:\"Arial\";'>"+NLS.bind(TXMCoreMessages.Diagnostic_22, maxPropertiesToDisplay)+"</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
+		buff.append("<h3 style'font-family:\"Arial\";'>"+NLS.bind(CQPSearchEngineCoreMessages.Diagnostic_22, maxPropertiesToDisplay)+"</h3>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 		buff.append("<ul>\n"); //$NON-NLS-1$
 		for (String s : internalArchitecture) {
 			StringBuffer subbuffer = new StringBuffer();
@@ -340,7 +341,7 @@
 			
 			subbuffer.append("<li> " + s + "\n<ul>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			if (internalArchitectureProperties.get(s).keySet().size() == 0)
-				subbuffer.append("<li>"+TXMCoreMessages.Diagnostic_26+"</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
+				subbuffer.append("<li>"+CQPSearchEngineCoreMessages.Diagnostic_26+"</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$ 
 
 			
 			//System.out.println("struct: "+s+" >> "+properties);
@@ -401,14 +402,14 @@
 	public String dump(int maxvalue) {
 		StringBuffer buff = new StringBuffer();
 
-		buff.append(TXMCoreMessages.Diagnostic_40);
-		buff.append(TXMCoreMessages.Diagnostic_41 + String.format(Locale.FRANCE,"%,d", T) + "\n"); //$NON-NLS-1$ 
-		buff.append(TXMCoreMessages.Diagnostic_43 + String.format("%,d", NProperties) + "\n"); //$NON-NLS-1$ 
+		buff.append(CQPSearchEngineCoreMessages.Diagnostic_40);
+		buff.append(CQPSearchEngineCoreMessages.Diagnostic_41 + String.format(Locale.FRANCE,"%,d", T) + "\n"); //$NON-NLS-1$ 
+		buff.append(CQPSearchEngineCoreMessages.Diagnostic_43 + String.format("%,d", NProperties) + "\n"); //$NON-NLS-1$ 
 		/*for (String s : propertiesCounts.keySet())
 			if (!s.equals("id")) //$NON-NLS-1$
 				buff.append(" - " + s + " " + propertiesCounts.get(s) + "\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				*/
-		buff.append(TXMCoreMessages.Diagnostic_49 + String.format("%,d", NStructures) + "\n"); //$NON-NLS-1$ 
+		buff.append(CQPSearchEngineCoreMessages.Diagnostic_49 + String.format("%,d", NStructures) + "\n"); //$NON-NLS-1$ 
 		for (String s : structuresCounts.keySet())
 			buff.append(" - " + s + "\n");//+structuresCounts.get(s)+"\n"); //$NON-NLS-1$ //$NON-NLS-2$
 
@@ -417,7 +418,7 @@
 		 * internalArchitecture)
 		 * buff.append(" - "+s+" "+hierarchieCounts.get(s)+"\n");
 		 */
-		buff.append(TXMCoreMessages.Diagnostic_0);
+		buff.append(CQPSearchEngineCoreMessages.Diagnostic_0);
 		for (String s : internalArchitecture) {
 			buff.append(" - " + s + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 			for (String ps : internalArchitectureProperties.get(s).keySet()) {
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 686)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryAutoCooccurrence.java	(revision 687)
@@ -53,11 +53,12 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.swt.widgets.Spinner;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.functions.coocmatrix.QueryAutoCooccurrence;
 import org.txm.functions.queryindex.QueryIndex;
 import org.txm.functions.queryindex.QueryIndexLine;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.QueriesView;
 import org.txm.rcp.views.corpora.CorporaView;
@@ -98,7 +99,7 @@
 					JobsTimer.start();
 
 					if (!(element instanceof QueryIndex)) {
-						System.out.println(RCPMessages.ComputeCooccurrences_1+ element);
+						System.out.println(TXMUIMessages.ComputeCooccurrences_1+ element);
 						return Status.CANCEL_STATUS;
 					}
 					QueryIndex qi = ((QueryIndex)element);
@@ -120,7 +121,7 @@
 
 					if (cooc == null) return null;
 					
-					System.out.println(RCPMessages.ComputeCoocMatrix_0+cooc.getSymbol());
+					System.out.println(TXMUIMessages.ComputeCoocMatrix_0+cooc.getSymbol());
 
 					syncExec(new Runnable() {
 						@Override
@@ -135,7 +136,7 @@
 					return Status.CANCEL_STATUS;
 				} catch (Exception e) {
 					Log.printStackTrace(e);
-					try { System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+					try { System.out.println(TXMUIMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
 					} catch (Exception e1) { e1.printStackTrace(); }
 				} finally {
 					monitor.done();
@@ -164,8 +165,8 @@
 			names.add(line.getName());
 		}
 
-		System.out.println(RCPMessages.ProgressionDialog_8+queries);
-		System.out.println(RCPMessages.MergeCols_5+names);
+		System.out.println(TXMCoreMessages.common_queries+queries);
+		System.out.println(TXMUIMessages.MergeCols_5+names);
 
 		QueryAutoCooccurrence cooc = null;
 		try {
@@ -175,18 +176,18 @@
 			System.out.println("Estimated time: "+(nqueries*reqtime/1000)+" secs");
 			cooc = new QueryAutoCooccurrence(corpus);
 			cooc.setParameters(queries, names, dist, min, struct, oriented, new ConsoleProgressBar(nqueries));
-			System.out.println(RCPMessages.ComputeCoocMatrix_1+cooc.getNNodes());
-			System.out.println(RCPMessages.ComputeCoocMatrix_2+cooc.getNEdges());
-			System.out.println(RCPMessages.ComputeCoocMatrix_3+dist);
+			System.out.println(TXMUIMessages.ComputeCoocMatrix_1+cooc.getNNodes());
+			System.out.println(TXMUIMessages.ComputeCoocMatrix_2+cooc.getNEdges());
+			System.out.println(TXMUIMessages.ComputeCoocMatrix_3+dist);
 
 			if (outfile != null) {
 				cooc.toGraphml(outfile);
-				System.out.println(RCPMessages.ComputeCoocMatrix_4+outfile);
+				System.out.println(TXMUIMessages.ComputeCoocMatrix_4+outfile);
 			}
 
 		} catch (Exception e) {
 			Log.printStackTrace(e);
-			try { System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+			try { System.out.println(TXMUIMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
 			} catch (Exception e1) { e1.printStackTrace(); }
 		}
 		return cooc;
@@ -226,7 +227,7 @@
 		@Override
 		protected void configureShell(Shell newShell) {
 			super.configureShell(newShell);
-			newShell.setText(RCPMessages.ComputeCoocMatrix_7);
+			newShell.setText(TXMUIMessages.ComputeCoocMatrix_7);
 		}
 
 		/* (non-Javadoc)
@@ -241,7 +242,7 @@
 			composite.setLayout(layout);
 
 			Label anaPropLabel = new Label(composite, SWT.NONE);
-			anaPropLabel.setText(RCPMessages.ParaBrowserEditor_5);
+			anaPropLabel.setText(TXMCoreMessages.common_structure);
 			anaPropLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, false, false));
 
 			propsCombo = new org.eclipse.swt.widgets.List(composite, SWT.READ_ONLY);
@@ -264,7 +265,7 @@
 			}
 
 			Label distLabel = new Label(composite, SWT.NONE);
-			distLabel.setText(RCPMessages.ComputeCoocMatrix_10);
+			distLabel.setText(TXMUIMessages.ComputeCoocMatrix_10);
 			distLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 					false, false));
 			distSpinner = new Spinner(composite, SWT.BORDER);
@@ -273,7 +274,7 @@
 			distSpinner.setSelection(10);
 
 			Label minLabel = new Label(composite, SWT.NONE);
-			minLabel.setText(RCPMessages.ComputeCoocMatrix_11);
+			minLabel.setText(TXMUIMessages.ComputeCoocMatrix_11);
 			minLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 					false, false));
 			minSpinner = new Spinner(composite, SWT.BORDER);
@@ -289,12 +290,12 @@
 			orientedButton.setSelection(false);
 
 			outfileLabel = new Label(composite, SWT.NONE);
-			outfileLabel.setText(RCPMessages.ComputeCoocMatrix_12);
+			outfileLabel.setText(TXMUIMessages.ComputeCoocMatrix_12);
 			outfileLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 					false, false));
 
 			Button outfileButton = new Button(composite, SWT.PUSH);
-			outfileButton.setText(RCPMessages.ComputeCoocMatrix_13);
+			outfileButton.setText(TXMUIMessages.ComputeCoocMatrix_13);
 			outfileButton.addSelectionListener(new SelectionListener() {
 				@Override
 				public void widgetSelected(SelectionEvent e) {
Index: tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java
===================================================================
--- tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 686)
+++ tmp/org.txm.querycooccurrences.rcp/src/org/txm/rcp/commands/function/ComputeQueryCooccurrence.java	(revision 687)
@@ -57,10 +57,11 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.swt.widgets.Spinner;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.functions.coocmatrix.QueryCooccurrence;
 //import org.txm.functions.queryindex.*;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.QueriesView;
 import org.txm.rcp.views.corpora.CorporaView;
@@ -100,7 +101,7 @@
 					JobsTimer.start();
 
 					if (!(element instanceof Corpus)) {
-						System.out.println(RCPMessages.ComputeCooccurrences_1+ element);
+						System.out.println(TXMUIMessages.ComputeCooccurrences_1+ element);
 						return Status.CANCEL_STATUS;
 					}
 					Corpus corpus = ((Corpus)element);
@@ -121,7 +122,7 @@
 
 					if (cooc == null) return null;
 
-					System.out.println(RCPMessages.ComputeCoocMatrix_0+cooc.getSymbol());
+					System.out.println(TXMUIMessages.ComputeCoocMatrix_0+cooc.getSymbol());
 
 					syncExec(new Runnable() {
 						@Override
@@ -136,7 +137,7 @@
 					return Status.CANCEL_STATUS;
 				} catch (Exception e) {
 					Log.printStackTrace(e);
-					try { System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+					try { System.out.println(TXMUIMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
 					} catch (Exception e1) { e1.printStackTrace(); }
 				} finally {
 					monitor.done();
@@ -162,8 +163,8 @@
 		getQueriesAndNames(dialog.getQueryFile1(), queries1, names1);
 		getQueriesAndNames(dialog.getQueryFile2(), queries2, names2);
 
-		System.out.println(RCPMessages.ProgressionDialog_8+queries1);
-		System.out.println(RCPMessages.MergeCols_5+names1);
+		System.out.println(TXMCoreMessages.common_queries + queries1);
+		System.out.println(TXMUIMessages.MergeCols_5+names1);
 
 		QueryCooccurrence cooc = null;
 		try {
@@ -171,13 +172,13 @@
 			System.out.println("Number of queries: "+nqueries);
 			System.out.println("Estimated time: "+(nqueries*reqtime/1000)+" secs");
 			cooc = new QueryCooccurrence(corpus, queries1, names1, queries2, names2, dist, min, struct);
-			System.out.println(RCPMessages.ComputeCoocMatrix_1+cooc.getNNodes());
-			System.out.println(RCPMessages.ComputeCoocMatrix_2+cooc.getNEdges());
-			System.out.println(RCPMessages.ComputeCoocMatrix_3+dist);
+			System.out.println(TXMUIMessages.ComputeCoocMatrix_1+cooc.getNNodes());
+			System.out.println(TXMUIMessages.ComputeCoocMatrix_2+cooc.getNEdges());
+			System.out.println(TXMUIMessages.ComputeCoocMatrix_3+dist);
 		} catch (Exception e) {
 			// TODO Auto-generated catch block
 			Log.printStackTrace(e);
-			try { System.out.println(RCPMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
+			try { System.out.println(TXMUIMessages.LastCQPError+CQPEngine.getCqiClient().getLastCQPError());
 			} catch (Exception e1) { e1.printStackTrace(); }
 		}
 		return cooc;
@@ -239,7 +240,7 @@
 		@Override
 		protected void configureShell(Shell newShell) {
 			super.configureShell(newShell);
-			newShell.setText(RCPMessages.ComputeCoocMatrix_7);
+			newShell.setText(TXMUIMessages.ComputeCoocMatrix_7);
 		}
 
 		/* (non-Javadoc)
@@ -254,7 +255,7 @@
 			composite.setLayout(layout);
 
 			Label anaPropLabel = new Label(composite, SWT.NONE);
-			anaPropLabel.setText(RCPMessages.ParaBrowserEditor_5);
+			anaPropLabel.setText(TXMCoreMessages.common_structure);
 			anaPropLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER, false, false));
 
 			propsCombo = new org.eclipse.swt.widgets.List(composite, SWT.READ_ONLY);
@@ -277,7 +278,7 @@
 			}
 
 			Label distLabel = new Label(composite, SWT.NONE);
-			distLabel.setText(RCPMessages.ComputeCoocMatrix_10);
+			distLabel.setText(TXMUIMessages.ComputeCoocMatrix_10);
 			distLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 					false, false));
 			distSpinner = new Spinner(composite, SWT.BORDER);
@@ -286,7 +287,7 @@
 			distSpinner.setSelection(10);
 
 			Label minLabel = new Label(composite, SWT.NONE);
-			minLabel.setText(RCPMessages.ComputeCoocMatrix_11);
+			minLabel.setText(TXMUIMessages.ComputeCoocMatrix_11);
 			minLabel.setLayoutData(new GridData(GridData.END, GridData.CENTER,
 					false, false));
 			minSpinner = new Spinner(composite, SWT.BORDER);
Index: tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF	(revision 686)
+++ tmp/org.txm.statsengine.r.rcp/META-INF/MANIFEST.MF	(revision 687)
@@ -18,7 +18,7 @@
  org.txm.lexicon.core;bundle-version="1.0.0",
  org.txm.specificities.core;bundle-version="1.0.0",
  org.txm.progression.core;bundle-version="1.0.0",
- org.txm.cah.core;bundle-version="1.0.0",
+ org.txm.ahc.core;bundle-version="1.0.0",
  org.txm.cooccurrence.core;bundle-version="1.0.0",
  org.txm.searchengine.core;bundle-version="1.0.0",
  org.txm.referencer.core;bundle-version="1.0.0",
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/Submit.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/Submit.java	(revision 686)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/Submit.java	(revision 687)
@@ -42,8 +42,8 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.eclipse.ui.ide.FileStoreEditorInput;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TxtEditor;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.statsengine.r.rcp.handlers.ExecuteRScript;
 import org.txm.statsengine.r.rcp.handlers.ExecuteRText;
@@ -70,7 +70,7 @@
 		if (editor instanceof TxtEditor) {
 			final TxtEditor Teditor = (TxtEditor) editor;
 			final ISelection selection = Teditor.getSelectionProvider().getSelection();
-			JobHandler job = new JobHandler(RCPMessages.Submit_0, true) {
+			JobHandler job = new JobHandler(TXMUIMessages.Submit_0, true) {
 
 				@Override
 				protected IStatus run(final IProgressMonitor monitor) {
